zenilib: Zeni::Vertex_Buffer_Renderer_DX9 Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Public Member Functions | Public Attributes | List of all members
Zeni::Vertex_Buffer_Renderer_DX9 Class Reference

`#include <Vertex_Buffer.h>`

Inherits Zeni::Vertex_Buffer_Renderer.

## Classes

struct | VBO_DX9

## Public Member Functions

| Vertex_Buffer_Renderer_DX9 (Vertex_Buffer &vertex_buffer)
virtual | ~Vertex_Buffer_Renderer_DX9 ()
virtual void | render ()
Public Member Functions inherited from Zeni::Vertex_Buffer_Renderer
| Vertex_Buffer_Renderer (Vertex_Buffer &vertex_buffer)
virtual | ~Vertex_Buffer_Renderer ()

## Public Attributes

struct Zeni::Vertex_Buffer_Renderer_DX9::VBO_DX9 | m_buf_c
struct Zeni::Vertex_Buffer_Renderer_DX9::VBO_DX9 | m_buf_t

## Additional Inherited Members

Protected Attributes inherited from Zeni::Vertex_Buffer_Renderer
Vertex_Buffer & | m_vbo

## Detailed Description

Definition at line 260 of file Vertex_Buffer.h.

## Constructor & Destructor Documentation

Zeni::Vertex_Buffer_Renderer_DX9::Vertex_Buffer_Renderer_DX9 | ( | Vertex_Buffer & | vertex_buffer | ) |

Definition at line 795 of file Vertex_Buffer.cpp.

References Zeni::Vertex_Buffer_Renderer_DX9::VBO_DX9::VBO_DX9_impl::alt, D3DFVF_DIFFUSE, D3DFVF_NORMAL, D3DFVF_TEX1, D3DFVF_XYZ, D3DPOOL_MANAGED, D3DUSAGE_WRITEONLY, Zeni::Vertex_Buffer_Renderer_DX9::VBO_DX9::data, Zeni::Video_DX9::get_d3d_device(), Zeni::get_Video(), i, Zeni::Vertex_Buffer_Renderer_DX9::VBO_DX9::is_vbo, j, m_buf_c, m_buf_t, memcpy, memset, NULL, u, UINT(), and Zeni::Vertex_Buffer_Renderer_DX9::VBO_DX9::VBO_DX9_impl::vbo.

Zeni::Vertex_Buffer_Renderer_DX9::~Vertex_Buffer_Renderer_DX9 | ( |  | ) |

virtual

Definition at line 892 of file Vertex_Buffer.cpp.

References Zeni::Vertex_Buffer_Renderer_DX9::VBO_DX9::VBO_DX9_impl::alt, Zeni::Vertex_Buffer_Renderer_DX9::VBO_DX9::data, Zeni::Vertex_Buffer_Renderer_DX9::VBO_DX9::is_vbo, m_buf_c, m_buf_t, and Zeni::Vertex_Buffer_Renderer_DX9::VBO_DX9::VBO_DX9_impl::vbo.

## Member Function Documentation

void Zeni::Vertex_Buffer_Renderer_DX9::render | ( |  | ) |

virtual

Implements Zeni::Vertex_Buffer_Renderer.

Definition at line 977 of file Vertex_Buffer.cpp.

References Zeni::Vertex_Buffer_Renderer_DX9::VBO_DX9::VBO_DX9_impl::alt, Zeni::Vertex_Buffer_Renderer_DX9::VBO_DX9::data, Zeni::Video_DX9::get_d3d_device(), Zeni::get_Video(), Zeni::Vertex_Buffer_Renderer_DX9::VBO_DX9::is_vbo, m_buf_c, m_buf_t, Zeni::Vertex_Buffer_Renderer::m_vbo, Zeni::render(), Zeni::Video_DX9::set_fvf(), UINT(), and Zeni::Vertex_Buffer_Renderer_DX9::VBO_DX9::VBO_DX9_impl::vbo.

## Member Data Documentation

struct Zeni::Vertex_Buffer_Renderer_DX9::VBO_DX9 Zeni::Vertex_Buffer_Renderer_DX9::m_buf_c

Referenced by render(), Vertex_Buffer_Renderer_DX9(), and ~Vertex_Buffer_Renderer_DX9().

struct Zeni::Vertex_Buffer_Renderer_DX9::VBO_DX9 Zeni::Vertex_Buffer_Renderer_DX9::m_buf_t

Referenced by render(), Vertex_Buffer_Renderer_DX9(), and ~Vertex_Buffer_Renderer_DX9().

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni_graphics/Zeni/Vertex_Buffer.h
- zenilib/jni/external/zenilib/zeni_graphics/Vertex_Buffer.cpp
- zenilib/jni/external/zenilib/zeni_graphics/Zeni/Vertex_Buffer.hxx